/**
 * ActRelationshipExcerpt2.java
 *
 * File generated from the medication2::ActRelationshipExcerpt2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActRelationshipExcerpt2.
 *
 * 
 */

@XmlType(name = "ActRelationshipExcerpt")
@XmlEnum
@XmlRootElement(name = "ActRelationshipExcerpt2")
public enum ActRelationshipExcerpt2 {
	@XmlEnumValue("XCRPT")
	XCRPT("XCRPT"),
	@XmlEnumValue("VRXCRPT")
	VRXCRPT("VRXCRPT");
	
	private final String value;

    ActRelationshipExcerpt2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ActRelationshipExcerpt2 fromValue(String v) {
        for (ActRelationshipExcerpt2 c: ActRelationshipExcerpt2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
